SamSingleBaseMatchInfo Class Reference

This class contains the match/mismatch information between the reference and a read for a single base. More...

`#include <SamQuerySeqWithRefHelper.h>`

## Public Types

enum | Type { UNKNOWN , MATCH , MISMATCH }
| More types can be added later as needed. More...

## Public Member Functions

Type | getType ()
| Get the type (match/mismatch/unknown) for this object. More...
int32_t | getQueryIndex ()
| Get the query index for this object. More...
void | setType (Type newType)
| Set the type (match/mismatch/unkown) for this object. More...
void | setQueryIndex (int32_t queryIndex)
| Set the query index for this object. More...

## Detailed Description

This class contains the match/mismatch information between the reference and a read for a single base.

Definition at line 28 of file SamQuerySeqWithRefHelper.h.

## Member Enumeration Documentation

## Type

enum SamSingleBaseMatchInfo::Type

More types can be added later as needed.

Definition at line 32 of file SamQuerySeqWithRefHelper.h.

{UNKNOWN, MATCH, MISMATCH};

## Constructor & Destructor Documentation

## SamSingleBaseMatchInfo()

SamSingleBaseMatchInfo::SamSingleBaseMatchInfo | ( |  | ) |

Definition at line 206 of file SamQuerySeqWithRefHelper.cpp.

: myType(UNKNOWN),
myQueryIndex(0)
{
}

## ~SamSingleBaseMatchInfo()

SamSingleBaseMatchInfo::~SamSingleBaseMatchInfo | ( |  | ) |

Definition at line 213 of file SamQuerySeqWithRefHelper.cpp.

{
}

## Member Function Documentation

## getQueryIndex()

int32_t SamSingleBaseMatchInfo::getQueryIndex | ( |  | ) |

Get the query index for this object.

Definition at line 224 of file SamQuerySeqWithRefHelper.cpp.

{
return(myQueryIndex);
}

Referenced by SamFilter::clipOnMismatchThreshold(), and SamFilter::sumMismatchQuality().

## getType()

SamSingleBaseMatchInfo::Type SamSingleBaseMatchInfo::getType | ( |  | ) |

Get the type (match/mismatch/unknown) for this object.

Definition at line 218 of file SamQuerySeqWithRefHelper.cpp.

{
return(myType);
}

Referenced by SamFilter::clipOnMismatchThreshold(), and SamFilter::sumMismatchQuality().

## setQueryIndex()

void SamSingleBaseMatchInfo::setQueryIndex | ( | int32_t | queryIndex | ) |

Set the query index for this object.

Definition at line 236 of file SamQuerySeqWithRefHelper.cpp.

{
myQueryIndex = queryIndex;
}

Referenced by SamQuerySeqWithRefIter::getNextMatchMismatch().

## setType()

void SamSingleBaseMatchInfo::setType | ( | Type | newType | ) |

Set the type (match/mismatch/unkown) for this object.

Definition at line 230 of file SamQuerySeqWithRefHelper.cpp.

{
myType = newType;
}

Referenced by SamQuerySeqWithRefIter::getNextMatchMismatch().

The documentation for this class was generated from the following files:

- bam/SamQuerySeqWithRefHelper.h
- bam/SamQuerySeqWithRefHelper.cpp